Name:           clex
Version:        4.6.4 
Release:        1%{?dist}
Summary:        A free file manager with a full-screen user interface
License:        GPLv2+
URL:            http://www.clex.sk
Source0:        http://www.clex.sk/download/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel

%description
CLEX (pronounced KLEKS) is a file manager with a full-screen user 
interface. It displays directory contents including the file status 
details and provides features like command history, file-name insertion, 
or name completion in order to help users to create commands to be 
executed by the shell. 

CLEX is a versatile tool for system administrators and all users that 
utilize the enormous power of the command line. Its unique one-panel 
user interface enhances productivity and lessens the probability of 
mistake. There are no built-in commands, CLEX is an add-on to your 
favorite shell. 

%prep
%setup 
#-q -n %{name}-%{version}.patch5

%build
./configure --prefix=/usr --bindir=/usr/bin
make 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/cfg-clex
%{_bindir}/kbd-test

%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/cfg-clex.*
%{_mandir}/man1/kbd-test.*

%changelog
* Sun Apr 08 2012 Nathan Owe <ndowens at fedoraproject.org> 4.6.4-1
- Updated version

* Thu Jul 28 2011 Nathan Owe <ndowens at fedoraproject.org> 4.6-1
- Updated version to 4.6
- Cleaned Spec file

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Apr 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.18-2
- added clex-3.18-configure.patch for fedora (thanks dwmw2)

* Sat Apr 26 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.18-1
- Update 3.18

* Tue Jan 29 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-3
- Removed Requires: ncurses (rpmbuild will add automatically)

* Tue Jan 29 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-2
- Removed INSTALL from doc list

* Mon Jan 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-1
- Initial RPM release
